#include<bits/stdc++.h>
using namespace std;
string a,b,c,d;
int main(){
cin>>a>>b>>c;
if(a+b+c>=a+c+b && a+b+c>=b+a+c && a+b+c>=b+c+a && a+b+c>=c+a+b && a+b+c>=c+b+a)cout<<a<<b<<c<<endl;
else if(a+c+b>=a+b+c && a+c+b>=b+a+c && a+c+b>=b+c+a && a+c+b>=c+a+b && a+c+b>=c+b+a)cout<<a<<c<<b<<endl;
else if(b+a+c>=a+b+c && b+a+c>=a+c+b && b+a+c>=b+c+a && b+a+c>=c+a+b && b+a+c>=c+b+a)cout<<b<<a<<c<<endl;
else if(b+c+a>=a+b+c && b+c+a>=b+a+c && b+c+a>=a+c+b && b+c+a>=c+a+b && b+c+a>=c+b+a)cout<<b<<c<<a<<endl;
else if(c+a+b>=a+b+c && c+a+b>=b+a+c && c+a+b>=b+c+a && c+a+b>=a+c+b && c+a+b>=c+b+a)cout<<c<<a<<b<<endl;
else if(c+b+a>=a+b+c && c+b+a>=b+a+c && c+b+a>=b+c+a && c+b+a>=c+a+b && c+b+a>=a+c+b)cout<<c<<b<<a<<endl;
return 0;
}